%global npm_name yallist
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 4.0.0
Release: %mkrel 2
Summary: Yet Another Linked List
License: ISC
Group: Development/Other
URL: https://github.com/isaacs/yallist#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr iterator.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr yallist.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 4.0.0-2.mga9
+ Revision: 1820498
- Mageia 9 Mass Rebuild

* Thu Dec 31 2020 neoclust <neoclust> 4.0.0-1.mga8
+ Revision: 1667399
- New version 4.0.0

* Wed Feb 12 2020 umeabot <umeabot> 3.0.2-3.mga8
+ Revision: 1503304
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.0.2-2.mga7
+ Revision: 1281306
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 3.0.2-1.mga7
+ Revision: 1224937
- imported package nodejs-yallist

